<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>Features of the XML Editor</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h4 class="subsectionHead"><span class="titlemark">12.2.1</span>&#x00A0;&#x00A0;<a 
 id="x78-8500012.2.1"></a>Features of the XML Editor</h4>
<!--l. 1016--><p class="noindent" >The XML Editor in general offers some features that should make working on XML
documents easier.
</p><!--l. 1018--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x78-8600012.2.1"></a>Show Validation Errors</h5>
<!--l. 1020--><p class="noindent" >Clicking &#8220;Show Validation Errors&#8221; under the item &#8220;XML&#8221; in the menu bar opens a new view
in which error messages are listed with invalid XML and offset.
                                                                                

                                                                                
</p><!--l. 1022--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x78-8700012.2.1"></a>Associate a Schema</h5>
<!--l. 1024--><p class="noindent" >If an XML file is opened, you can associate a schema to it. After clicking &#8220;Associate a
Schema&#8221; under the item &#8220;XML&#8221; in the menu bar the &#8220;Select a new schema&#8221; Dialog opens
(<a 
href="#x78-870011">12.1<!--tex4ht:ref: fig:xml-editor:associate-a-schema --></a>).
</p>
<hr class="figure" /><div class="figure" 
>
                                                                                

                                                                                
<a 
 id="x78-870011"></a>
                                                                                

                                                                                
<!--l. 1028--><p class="noindent" ><img 
src="xml-schema-wizard.png" /><!--tex4ht:graphics  
name="textgrid-manual63x.png" src="xml-schema-wizard.eps"  
-->
<br /> </p><div class="caption"><table class="caption" 
><tr style="vertical-align:baseline;" class="caption"><td class="id">Figure&#x00A0;12.1: </td><td  
class="content">Associate a Schema</td></tr></table></div><!--tex4ht:label?: x78-870011 -->
                                                                                

                                                                                
</div><hr class="endfigure" />
<!--l. 1033--><p class="noindent" >Above a list of schemata there is a display of summary information if the file is associated to
any schema and, if it is, to which. You can choose one of the schemata listed with some
information about the schema name, the corresponding project, its contributor and its
creation date. Click a schema to select it and &#8220;OK&#8221; to associate it to the XML
file.
</p><!--l. 1035--><p class="noindent" >If no schema is associated, the radio button below the list is marked. A document&#8217;s
schema association will only be made persistent when the document or its metadata is
saved.
</p>
<h5 class="subsubsectionHead"><a 
 id="x78-8800012.2.1"></a>Associate a CSS Stylesheet</h5>
<!--l. 1039--><p class="noindent" >A Cascading Stylesheet can be added to an XML file when it is opened and &#8220;Associate a CSS
Stylesheet&#8221; is selected from the item &#8220;XML&#8221; in the menu bar.
</p><!--l. 1041--><p class="noindent" >The CSS will be used for displaying the XML file in the <a 
href="textgrid-manualsu28.html#x86-13700012.3.3">WYSIWYM View<!--tex4ht:ref: xml-editor:editor-field:wysiwym-view --></a>. You can select a
CSS from the list by clicking on it. By default, the default TEI stylesheet build into the
editor is used. To reactivate this option mark the radio button below the list of CSS
files.
</p><!--l. 1043--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x78-8900012.2.1"></a>Associate an Adaptor</h5>
<!--l. 1045--><p class="noindent" >If a file is or more files are selected in the Navigator or opened in an Editor, an adaptor can be
associated to translate the given document to the TextGrid Baseline Encoding. To
open it, please select &#8220;Associate an Adaptor...&#8221; under the item &#8220;XML&#8221; in the menu
bar.
</p><!--l. 1047--><p class="noindent" >In the upper list the selected files are presented with information about title, project,
contributor and creation date. You can mark the box under this list to make the assignement
persistent when clicking &#8220;OK&#8221;.
</p><!--l. 1050--><p class="noindent" >In the lower list you can select the adaptor by clicking on it. Here you can also get additional
                                                                                

                                                                                
information about the adaptors. To annul your selection you can mark the radio button under
this list.
</p><!--l. 1052--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x78-9000012.2.1"></a>XML Editor Debugging</h5>
<!--l. 1054--><p class="noindent" >The debugging is intended to find and reduce the number of problems. The XML Editor
Debugging works with the <a 
href="textgrid-manualsu28.html#x86-13700012.3.3">WYSIWYM View<!--tex4ht:ref: xml-editor:editor-field:wysiwym-view --></a>. Via &#8220;XML Editor Debugging&#8221; in &#8220;XML&#8221; in the
menu bar you have the possibility to reload the WYSIWYM view.
</p><!--l. 1056--><p class="noindent" >By selecting &#8220;Debug XML Document&#8221; you can save the WYSIWYM Debug Output. You can
also open the WYSIWYM Debugging View by clicking &#8220;Layout Debugging&#8221;.
                                                                                

                                                                                
</p>
<!--l. 1058--><p class="noindent" ><a 
 id="tailtextgrid-manualsu21.html"></a> </p> 
</body></html> 
